#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : label 1 is QDC
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../qdc_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1kHz
#     => 0.001s delay
#     => processus in background (&)
#

faster_file2rhb  ../../qdc_data_0001.fast  0.001 &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc        	 ->  RHB default behaviours
#      CHARGES.pid       ->  faster data declaration
#      CHARGES.facqConf  ->  histograms declaration
#      CHARGES.rhvConf   ->  visualisation configuration
#

RHB  -r











###############################################################

pkill faster_file2rhb



