#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB;
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : label 2001 is oscillo
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../qdc_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1000Hz
#     => 0.001s delay (1/1000)
#     => processus in background (&)
#

faster_file2rhb  ../../qdc_data_0001.fast  0.001  &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc        ->  RHB default behaviours
#      OSC.pid       ->  faster data declaration
#      OSC.facqConf  ->  histograms declaration
#      OSC.rhvConf   ->  visualisation configuration
#

RHB  -r









###############################################################

pkill faster_file2rhb
