#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file :
#	label 1 is QDC
# 	label 1001 is counter ("QDC_COUNTER")
#	label 2001 is oscillo
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../qdc_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1000 Hz
#     => 0.001s delay (1/1000)
#     => processus in background (&)
#

faster_file2rhb  ../../qdc_data_0001.fast  0.001 &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc		->  RHB default behaviours
#      DISCRI.pid       ->  faster data declaration
#      DISCRI.facqConf  ->  histograms declaration
#      DISCRI.rhvConf   ->  visualisation configuration
#

RHB  -r









###############################################################

pkill faster_file2rhb



